Models in supplier qualification management, along with the underlying qualifications. You must have the necessary roles and privileges to use this REST resource. For additional details, refer to the Job Roles and Privileges and Status Codes topics.
patch
/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/{supplierQualificationModelsUniqID}/child/areas/{QualModelAreaId}
Request
Path Parameters
-
QualModelAreaId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
supplierQualificationModelsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Qualification Models resource and used to uniquely identify an instance of Qualification Models. The client should not generate the hash key value. Instead, the client should query on the Qualification Models collection resource in order to navigate to a specific instance of Qualification Models to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
DisplaySequence: integer
(int32)
Specifies the order in which outcomes display for the qualification model.
-
KnockoutScore: integer
(int32)
Specifies the knockout score when scoring is enabled for a qualification area.
-
QualAreaId: integer
(int64)
Unique identifier of a qualification area.
-
QualAreaName: string
Title:
Qualification AreaMaximum Length:80Name of the qualification area for a model. -
QualModelAreaId: integer
(int64)
Unique identifier of a qualification model area.
-
QualModelId: integer
(int64)
Unique identifier of the model.
-
Weight: number
Specifies the weight when scoring is enabled for a qualification area.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : supplierQualificationModels-areas-item-response
Type:
Show Source
object-
DisplaySequence: integer
(int32)
Specifies the order in which outcomes display for the qualification model.
-
KnockoutScore: integer
(int32)
Specifies the knockout score when scoring is enabled for a qualification area.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
QualAreaId: integer
(int64)
Unique identifier of a qualification area.
-
QualAreaName: string
Title:
Qualification AreaMaximum Length:80Name of the qualification area for a model. -
QualModelAreaId: integer
(int64)
Unique identifier of a qualification model area.
-
QualModelId: integer
(int64)
Unique identifier of the model.
-
Weight: number
Specifies the weight when scoring is enabled for a qualification area.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to update one qualification area.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d '{ "QualAreaId": 300100240000101, "QualAreaName": "Environmental Sustainability", "DisplaySequence": 10, "Weight": 60, "KnockoutScore": 25 }' "https://servername/fscmRestApi/resources/version/supplierQualificationModels/supplierQualificationModelsUniqID/child/areas/QualModelAreaId"
For
example:
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d '{ "QualAreaId": 300100240000101, "QualAreaName": "Environmental Sustainability", "DisplaySequence": 10, "Weight": 60, "KnockoutScore": 25 }' "https://servername/fscmRestApi/resources/version/supplierQualificationModels/300100250000001/child/areas/300100250000101"
Example Request Body
The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it updates.
{
"QualAreaId": 300100240000101,
"QualAreaName": "Environmental Sustainability",
"DisplaySequence": 10,
"Weight": 60,
"KnockoutScore": 25
}
Example Response Body
The following example includes the contents of the response
body in JSON format:
{
"QualModelAreaId": 300100250000101,
"QualModelId": 300100250000001,
"QualAreaId": 300100240000101,
"QualAreaName": "Environmental Sustainability",
"DisplaySequence": 10,
"KnockoutScore": 25,
"Weight": 60,
"ProcurementBUId": 204,
"ProcurementBU": "Vision Operations",
"Revision": 1,
"QualAreaDescription": "Evaluates environmental sustainability controls.",
"EnableScoringFlag": true,
"QualAreaLevelCode": "SUPPLIER",
"QualAreaLevel": "Supplier",
"SubjectCode": "SUSTAINABILITY",
"Subject": "Sustainability",
"StandardsOrganizationCode": null,
"StandardsOrganization": null,
"CreatedBy": "REST.USER",
"CreationDate": "2026-08-25T10:31:00+00:00",
"LastUpdatedBy": "REST.USER",
"LastUpdateDate": "2026-08-25T10:31:00+00:00",
"SysEffectiveDate": "2026-08-25",
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001/child/areas/300100250000101",
"name": "areas",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001/child/areas/300100250000101",
"name": "areas",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/11.13.18.05/supplierQualificationModels/300100250000001",
"name": "supplierQualificationModels",
"kind": "item"
}
]
}